<?php
/**
 * Stub for the extended ACL DB cache.
 *
 * PHP version 5
 *
 * @category   Kolab
 * @package    Kolab_FreeBusy
 * @subpackage UnitTests
 * @author     Gunnar Wrobel <wrobel@pardus.de>
 * @license    http://www.fsf.org/copyleft/lgpl.html LGPL
 * @link       http://pear.horde.org/index.php?package=Kolab_FreeBusy
 */

class Horde_Kolab_FreeBusy_Stub_Xacl
extends Horde_Kolab_FreeBusy_Cache_Db_Xacl
{
    private $_access;

    function __construct($access)
    {
        $this->_access = $access;
    }

    function has($file, $user)
    {
        return isset($this->_access[$file]) && in_array($user, $this->_access[$file]);
    }

}